#ifndef main_H
#define main_H



#include <pic.h>
#include <htc.h>
#ifndef _XTAL_FREQ
#define _XTAL_FREQ  4000000UL
#endif





/*     */

#define BM_Bit1(bit)                    (1<<(bit))                            //  "1"   "bit"
#define BM_Bit0(bit)                   ~(1<<(bit))                            //  "0"   "bit"
#define BM_SetBit(var, bit)            do{(var) |= (1<<(bit));}while(0)      //  "1"   "bit", "var".  SetBit(PORTB,2)
#define BM_ClearBit(var, bit)          do{(var) &= ~(1<<(bit));}while(0)     //  "0"   "bit", "var".  SetBit(PORTB,2)
#define BM_InvBit(var, bit)            do{(var) ^= (1<<(bit));}while(0)      //      "bit", "var".
#define BM_TestBit(var, bit)           ((var) & (1<<(bit)))                  //.  "bit"  "var". 0b1010&0b0010  0b0010
#define BM_BitIsClear(var, bit)        (((var) & (1<<(bit))) == 0)           //.  "bit"  "var".  "0"
#define BM_BitIsSet(var, bit)          (((var) & (1<<(bit))) != 0)           //.  "bit"  "var".  "1"



#endif
