#include "main.h"
#include "nRF24L01P_SPI.h"
__CONFIG(UNPROTECT&BORDIS&MCLRDIS&PWRTDIS&WDTDIS&INTOSCIO);



void PIC_INIT(void)
{
 OSCCAL = _READ_OSCCAL_DATA();  //load calibrate constant
 GIE = 0;
 IOCA = 0b00000000;                    //OFF interrupr PORTA
 PCON = 0b00000011;                    //POWER CONTROL REGISTER ALL OFF
 OPTION = 0b10000001;                  //TMR0 is 1:4
 CMCON = 0x07;                         //OFF Compar..I/O
 WPUA = 0b00000000;                    //Pull-up OFF
 TRISA = 0b00000000;                   //RA4 input
 TRISC = 0b11111111;                   // input
 PORTA = 0b00000000;                   //
 PORTC = 0b00000000;                   //RC3=RC4=RC5= 1
 PEIE = 1;                             //ON PERIPHERAL interrupt
 T0IE = 1;                             // ON TMR0 interrupt
 T0IF = 0;                             //CLR flag TMR0
 INTE = 0;                             //OFF RA2 interrupt
 RAIE = 0;                             //OFF PORTA-CHANGE interrupt
 INTF = 0;                             //CLR RA2 flags
 RAIF = 0;                             // CLR PORTA flags
 TMR1IE = 0;                           //OF TMR1 interrupt
 TMR1IF = 0;                           //CLR flag TMR1
 T1CON = 0b00000100;                  //TMR1 CONTROL REGISTER PRESCALER 1:1
 TMR1ON = 0;                          //TMR1 OFF
 GIE = 0;                             //interrupt OFF
//LED=0;
//__delay_ms(900);
LED=1;
//__delay_ms(900);
}
void nRF_init(void) ;

void main(void)
{ PIC_INIT();
   nRF_init();
  unsigned char payload_data = 0;
  payload_data = nRF_Rregister(STATUS);
EEPROM_WRITE(0,payload_data);




   while(1)
  {  
if(payload_data !=0){

LED= 0;}
else {LED=1;}
  }




}


void nRF_init(void)
{
  SPI_init();
  __delay_ms(100);
  //MASK_RX_DR=interrupt on IRQ   
  //EN_CRC= enable CRC; CRCO=1 byte of CRC
  //MASK_TX_DS=0   TX_DS (  )
  //MASK_MAX_RT=0   MAX_RT (    )
  //PRIM_RX=1 
  nRF_Wregister(CONFIG, (0<<MASK_RX_DR) | (1<<EN_CRC) | (1<<PWR_UP) | (1<<PRIM_RX) | (0<<CRCO) | (0<<MASK_TX_DS) | (1<<MASK_MAX_RT));
 __delay_ms(7);
 // 
  nRF_Wregister(STATUS,(1<<RX_DR) | (1<<TX_DS) | (1<<MAX_RT) | (1<<MAX_RT));
 //OFF 
  nRF_Wregister(EN_AA,(0<<ENAA_P5) | (0<<ENAA_P4) | (0<<ENAA_P3) | (0<<ENAA_P2) | (0<<ENAA_P1) | (0<<ENAA_P0));
   //  ,250MKS
   //   
   nRF_Wregister(SETUP_RETR,(SETUP_RETR_DELAY_250MKS) | (SETUP_RETR_NO_RETRANSMIT));
   // W_TX_PAYLOAD_NOACK ON!
  nRF_Wregister(FEATURE,(1<<EN_DYN_ACK));
  //  
  nRF_Wregister(RX_PW_P0,1);
  nRF_Wregister(RX_PW_P1,1);
  nRF_Wregister(RX_PW_P2,1);
  
  sbi(CE_PIN);//ON RESEIVER
  __delay_ms(1);
  
  //  FIFO 
  nRF_sendcommand(FLUSH_TX);
  nRF_sendcommand(FLUSH_RX);

}
